PUT /api/v3/report/reportgroup/{reportGroupId}

Updates an existing report group's name or configuration.

EditReportGroupV3 Permissions: ReportGroups (Manage)
Use this endpoint to rename or reconfigure a report group. Requires ReportGroups Manage permission.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
reportGroupId Unique numeric identifier of the report group to edit integer (int32) Required

Request Body

ReportGroupRequest
Property Description Type
reportGroupCode Short code identifying the report group (automatically uppercased). Must be unique. string
reportGroupInfo Display name of the report group string
reportIds List of report IDs to assign to this group integer[]
Example Request Body application/json
{  "reportGroupCode": "string",  "reportGroupInfo": "string",  "reportIds": [
    1
  ]
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

ReportGroupResponse
Property Description Type
reportGroupCode Short code identifying the report group (e.g., “SAVED”, “SYSTEM”) string
reportGroupId Unique numeric identifier of the report group integer (int32)
reportGroupInfo Display name of the report group string
reports List of reports belonging to this group ReportChild[]
ReportChild properties
Property Description Type
description The report description string
exportFormats Supported export formats (EnergyCAP currently supports PDF, Word, Excel, Excel data only, Excel formatted, and CSV) ExportFormatChild[]
ExportFormatChild properties
Property Description Type
exportFormatInfo string
preferred boolean
isLandscape Indicates whether or not the report is rendered in landscape boolean
lastUpdated The last time this report was updated string (date-time)
reportCode The report code string
reportId The identifier of the report integer (int32)
reportInfo The report name string
reportSource The rendering engine used for the report (EnergyCAP currently uses SSRS and Crystal) string
reportType ReportType
ReportType properties
Property Description Type
reportTypeCode The report type code string
reportTypeId The identifier of the report type integer (int32)
reportTypeInfo The report type name string
tags Tags describing features of the report TagChild[]
TagChild properties
Property Description Type
tagTypeId integer (int32)
tagTypeInfo string
values string[]
version The version of the report string
Example Response application/json
{  "reportGroupCode": "string",  "reportGroupId": 1,  "reportGroupInfo": "string",  "reports": [
    {    "description": "string",    "exportFormats": [
      {      "exportFormatInfo": "string",      "preferred": false
    }
    ],    "isLandscape": false,    "lastUpdated": "2026-06-29",    "reportCode": "string",    "reportId": 1,    "reportInfo": "string",    "reportSource": "string",    "reportType": {      "reportTypeCode": "string",      "reportTypeId": 1,      "reportTypeInfo": "string"
    },    "tags": [
      {      "tagTypeId": 1,      "tagTypeInfo": "string",      "values": []
    }
    ],    "version": "string"
  }
  ]
}
404 Not Found The requested resource was not found. Verify the ID or path is correct.